<mat-form-field class="dwfe-form-group-material" [formGroup]="group"
                [ngClass]="{ 'isFilled' : control.value,
                             'isChanged': markIfChanged && isChanged }"
                [appearance]="appearanceValue">

  <input type="email" matInput [formControlName]="'ctrl'"
         [errorStateMatcher]="matcher"
         [tabindex]="tabIndexValue">

  <mat-label>{{labelText}}</mat-label>

  <dwfe-spinner-dotted-horizontal *ngIf="control.pending"
                                  class="dwfe-form-group-material__inputs-horizontal-spinner">
  </dwfe-spinner-dotted-horizontal>

  <mat-hint align="start" *ngIf="control.valid">{{hintText}}</mat-hint>

  <mat-error *ngIf="control.hasError('required')">
    {{app.i18n('required', i18n)}}
  </mat-error>
  <mat-error *ngIf="control.hasError('pattern')">
    {{app.i18n('email_not_valid', i18n)}}
  </mat-error>
  <mat-error *ngIf="!control.hasError('pattern') && control.hasError('maxlength')">
    {{app.i18n('length_err', i18n)}} <= {{maxLength}}
  </mat-error>
  <mat-error *ngIf="control.hasError('backendHttp')">
    {{app.i18nExtract(control.errors['backendHttp'])}}
  </mat-error>

  <dwfe-form-control-clear class="dwfe-icon-clear-field" [control]="control"></dwfe-form-control-clear>

</mat-form-field>
